Bug 1574629 - [upstream][v2v] Retry Migration button does not work properly
Summary: [upstream][v2v] Retry Migration button does not work properly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Kedar Kulkarni
URL:
Whiteboard: v2v
Depends On:
Blocks: 1588558
TreeView+ depends on / blocked
 
Reported: 2018-05-03 17:28 UTC by Kedar Kulkarni
Modified: 2019-02-11 13:58 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1588558 (view as bug list)
Environment:
Last Closed: 2019-02-11 13:58:49 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Kedar Kulkarni 2018-05-03 17:28:08 UTC
Description of problem:
 Retry Migration button does not work properly, it should do two things:
1) Start migration Again
2) Show the Migration status card under "Migration Plans in Progress" 

currently, it DOES NOT DO (2) as mentioned above. So, migration will restart but progress will not displayed anywhere in UI.

Version-Release number of selected component (if applicable):
master.20180430231107_6437e92 

How reproducible:
100%

Steps to Reproduce:
1.Start a migration (before importing automate domain) so it will fail
2.Add automate domain
3.Retry migration

Actual results:
Migration goes through if everything is correct, but the progress is not reported in UI under "Migration Plans in Progress" 

Expected results:
Migration plans in Progress should show information of the migration being retried.

Additional info:

Comment 2 Sudhir Mallamprabhakara 2018-05-15 18:49:55 UTC
https://github.com/priley86/miq_v2v_ui_plugin/issues/271

Comment 3 Kedar Kulkarni 2018-05-16 00:42:03 UTC
It still does not work properly. I ran a migration with 3 VMs, 1 migrated and 2 Failed. When I hit retry, the entry from Completed Migrations list disappeared, and it appeared in the "In Progress" section briefly, then failed and appeared in "Completed Migrations" section again. So far it sounds good. But problems are as follows:
1) I expect that when I retry, a new entry of "Retried" job appears in "Migrations completed" instead of updating previous entry. Maybe with a name format as "PlanName_Retry"
2) When I saw the newly updated entry, it said 1 of 3 VMs migrated, in "Migration Completed" list/section. But when I drilled down to details, it showed only 2 VMs, instead of 3. 


-KK.

Comment 6 Brett Thurber 2018-05-29 12:55:33 UTC
Tested in our environment with the nightly from 5/24 and it appears to be resolved.

Comment 9 Kedar Kulkarni 2018-06-28 21:10:29 UTC
in 5.9.3.3 retry button does kick off new migration and shows it under "In Progress Plans"


Note You need to log in before you can comment on or make changes to this bug.